org.apache.ignite.internal.processors.datastructures

## Class CollocatedQueueItemKey

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.CollocatedQueueItemKey

All Implemented Interfaces:
  GridCacheInternal, QueueItemKey

    public class CollocatedQueueItemKey
    extends Object
    implements QueueItemKey

### Constructor Summary

Constructors
Constructor and Description
`CollocatedQueueItemKey(IgniteUuid queueId, String queueName, long idx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CollocatedQueueItemKey

    public CollocatedQueueItemKey(IgniteUuid queueId,
                                  String queueName,
                                  long idx)

Parameters:
  `queueId` - Queue unique ID.
  `queueName` - Queue name.
  `idx` - Item index.

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022